Bug 70792 - TB NCDialup:258:load ValueError: int() literal too large: 03520630451
Summary: TB NCDialup:258:load ValueError: int() literal too large: 03520630451
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: rcn-7.3
TreeView+ depends on / blocked
 
Reported: 2002-08-05 11:18 UTC by Hector Lopez
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-08-06 10:04:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:257 high SHIPPED_LIVE Updated redhat-config-network package available 2003-05-06 04:00:00 UTC
Red Hat Product Errata RHBA-2002:267 normal SHIPPED_LIVE Updated redhat-config-network package available 2003-02-07 15:19:58 UTC

Description Hector Lopez 2002-08-05 11:18:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
created kppp account and after that I couldn't run redhat-config-network to add
more isdn accounts. The existing isdn accounts are still in the system and still
work.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.just try to create an account in dial-up mode and after that it's impossible
to run redhat-config-network
2.
3.
	

Additional info:

Traceback (innermost last):
  File "/usr/sbin/redhat-config-network", line 1398, in ?
    window = mainDialog()
  File "/usr/sbin/redhat-config-network", line 222, in __init__
    self.load()
  File "/usr/sbin/redhat-config-network", line 241, in load
    self.loadDevices()
  File "/usr/sbin/redhat-config-network", line 246, in loadDevices
    devicelist = getDeviceList()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 172, in getDeviceList
    DVList.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 63, in load
    self.data[i].load(dev)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDevice.py", line
221, in load
    dialup.load(conf)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDialup.py", line
258, in load
    self.__dict__[selfkey] = int(conf[confkey])
ValueError: int() literal too large: 03520630451

Local variables in innermost frame:
conf: <netconfpkg.NCDevice.ConfDevice instance at 84d2218>
selfkey: MSN
self: <netconfpkg.NCDialup.IsdnDialup instance at 84d1988>
parentConf: <netconfpkg.NCDevice.ConfDevice instance at 84d2218>
confkey: MSN

Comment 1 Harald Hoyer 2002-08-06 10:04:17 UTC
thx, fixed in CVS

Comment 2 Harald Hoyer 2002-10-23 09:58:56 UTC
first beta of erratum for 7.3/7.2 is available at:
ftp://people.redhat.com/harald/redhat-config-network/1.0.1-1/

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.

Comment 3 John Flanagan 2003-02-14 21:04:18 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2002-267.html



Note You need to log in before you can comment on or make changes to this bug.